## GESClipAsset GESClipAsset — A GESAsset subclass specialized in GESClip extraction |

## Functions

GType | ges_clip_asset_get_type ()
void | ges_clip_asset_set_supported_formats ()
GESTrackType | ges_clip_asset_get_supported_formats ()

## Types and Values

| GESClipAsset

## Object Hierarchy

        GObject
        ╰── GESAsset
            ╰── GESClipAsset
                ╰── GESUriClipAsset

## Implemented Interfaces

GESClipAsset implements GAsyncInitable, GInitable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

The GESUriClipAsset is a special GESAsset specilized in GESClip. it is mostly used to get information about the GESTrackType-s the objects extracted from it can potentialy create GESTrackElement for.

## Functions

### ges_clip_asset_get_type ()

    GType
    ges_clip_asset_get_type (void);

### ges_clip_asset_set_supported_formats ()

    void
    ges_clip_asset_set_supported_formats (GESClipAsset *self,
                                          GESTrackType supportedformats);

Sets track types for which objects extracted from `self` can create GESTrackElement

#### Parameters

self | a GESClipAsset |
supportedformats | The track types supported by the GESClipAsset |

### ges_clip_asset_get_supported_formats ()

    GESTrackType
    ges_clip_asset_get_supported_formats (GESClipAsset *self);

Gets track types for which objects extracted from `self` can create GESTrackElement

#### Parameters

self | a GESClipAsset |

#### Returns

The track types on which `self` will create TrackElement when added to a layer

## Types and Values

### GESClipAsset

    typedef struct _GESClipAsset GESClipAsset;